<?php

// Register "Configuration" field group
acf_add_local_field_group(
    array(
        'key'                   => 'group_styles_configuration',
        'title'                 => __( 'Configuration', 'pilopress' ),
        'fields'                => array(

            // Typography Tab
            array(
                'key'               => 'field_typography',
                'label'             => __( 'Typography', 'pilopress' ),
                'name'              => '',
                'type'              => 'tab',
                'instructions'      => '',
                'required'          => 0,
                'conditional_logic' => 0,
                'wrapper'           => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'  => '',
                'placement'         => 'top',
                'endpoint'          => 0,
            ),

            // Typography message
            array(
                'key'                        => 'field_typography_message',
                'label'                      => '',
                'name'                       => '',
                'type'                       => 'message',
                'instructions'               => '',
                'required'                   => 0,
                'conditional_logic'          => 0,
                'wrapper'                    => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_save_meta'             => 0,
                'message'                    => __(
                    'You can define your site\'s typography styles in this tab.<br>
Please see TailwindCSS documentation for more details (if you have enabled this module).<br>
<a href="https://tailwindcss.com/docs/font-family" target="_blank">Font family</a>, <a href="https://tailwindcss.com/docs/font-size" target="_blank">Font size</a>, <a href="https://tailwindcss.com/docs/font-weight" target="_blank">Font weight</a>, <a href="https://tailwindcss.com/docs/text-color" target="_blank">Text color</a>, etc',
                    'pilopress'
                ),
                'new_lines'                  => 'wpautop',
                'esc_html'                   => 0,
                'acfe_field_group_condition' => 0,
            ),

            // Body classes
            array(
                'key'                 => 'field_pip_body_classes',
                'label'               => '',
                'name'                => 'pip_body_classes',
                'type'                => 'group',
                'instructions'        => '',
                'required'            => 0,
                'conditional_logic'   => 0,
                'wrapper'             => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'    => '',
                'layout'              => 'row',
                'acfe_seamless_style' => 0,
                'acfe_group_modal'    => 0,
                'sub_fields'          => array(
                    array(
                        'key'               => 'field_body_classes',
                        'label'             => __( 'Body', 'pilopress' ),
                        'name'              => 'body_classes',
                        'type'              => 'text',
                        'instructions'      => __( 'Class(es) to apply to the body tag, for default configuration.', 'pilopress' ),
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                ),
            ),

            // Typography
            array(
                'key'                           => 'field_pip_typography',
                'label'                         => '',
                'name'                          => 'pip_typography',
                'type'                          => 'repeater',
                'instructions'                  => '',
                'required'                      => 0,
                'conditional_logic'             => 0,
                'wrapper'                       => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'              => '',
                'acfe_repeater_stylised_button' => 1,
                'collapsed'                     => '',
                'min'                           => 0,
                'max'                           => 0,
                'layout'                        => 'table',
                'button_label'                  => __( 'Add typography', 'pilopress' ),
                'sub_fields'                    => array(
                    array(
                        'key'                        => 'field_typography_preview',
                        'label'                      => __( 'Live preview', 'pilopress' ),
                        'name'                       => '',
                        'type'                       => 'message',
                        'instructions'               => '',
                        'required'                   => 0,
                        'conditional_logic'          => 0,
                        'wrapper'                    => array(
                            'width' => '20',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_save_meta'             => 0,
                        'message'                    => '<div class="-preview pip-live-preview"><div>The quick brown fox jumps over the lazy dog.</div></div>',
                        'new_lines'                  => 'wpautop',
                        'esc_html'                   => 0,
                        'acfe_field_group_condition' => 0,
                    ),
                    array(
                        'key'               => 'field_typography_label',
                        'label'             => __( 'Label', 'pilopress' ),
                        'name'              => 'label',
                        'type'              => 'text',
                        'instructions'      => '',
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '15',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                    array(
                        'key'               => 'field_typography_class_name',
                        'label'             => __( 'Class name', 'pilopress' ),
                        'name'              => 'class_name',
                        'type'              => 'acfe_slug',
                        'instructions'      => '',
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '15',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                    array(
                        'key'               => 'field_typography_classes',
                        'label'             => __( 'Class(es) to apply', 'pilopress' ),
                        'name'              => 'classes_to_apply',
                        'type'              => 'textarea',
                        'instructions'      => '',
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '35',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                        'rows'              => 3,
                    ),
                    array(
                        'key'               => 'field_typography_add_to_editor',
                        'label'             => __( 'Add to editor menu?', 'pilopress' ),
                        'name'              => 'add_to_editor',
                        'type'              => 'true_false',
                        'instructions'      => __( 'Needs TinyMCE Module', 'pilopress' ),
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '15',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'message'           => '',
                        'default_value'     => 1,
                        'ui'                => 1,
                        'ui_on_text'        => '',
                        'ui_off_text'       => '',
                    ),
                ),
            ),

            // Colors Tab
            array(
                'key'               => 'field_font_color',
                'label'             => __( 'Colors', 'pilopress' ),
                'name'              => '',
                'type'              => 'tab',
                'instructions'      => '',
                'required'          => 0,
                'conditional_logic' => 0,
                'wrapper'           => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'  => '',
                'placement'         => 'top',
                'endpoint'          => 0,
            ),

            // Colors message
            array(
                'key'                        => 'field_font_color_message',
                'label'                      => '',
                'name'                       => '',
                'type'                       => 'message',
                'instructions'               => '',
                'required'                   => 0,
                'conditional_logic'          => 0,
                'wrapper'                    => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_save_meta'             => 0,
                'message'                    => __( 'You can define your site\'s colors in this tab.<br> Please see <a href="https://tailwindcss.com/docs/customizing-colors" target="_blank">TailwindCSS documentation</a> for more details (if you have enabled this module).', 'pilopress' ),
                'new_lines'                  => 'wpautop',
                'esc_html'                   => 0,
                'acfe_field_group_condition' => 0,
            ),

            // Override colors
            array(
                'key'                 => 'field_pip_override_colors',
                'label'               => '',
                'name'                => 'pip_override_colors',
                'type'                => 'group',
                'instructions'        => '',
                'required'            => 0,
                'conditional_logic'   => 0,
                'wrapper'             => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'    => '',
                'layout'              => 'row',
                'acfe_seamless_style' => 0,
                'acfe_group_modal'    => 0,
                'sub_fields'          => array(
                    array(
                        'key'               => 'field_override_colors',
                        'label'             => __( 'Override colors', 'pilopress' ),
                        'name'              => 'override_colors',
                        'type'              => 'true_false',
                        'instructions'      => __( 'Override default TailwindCSS colors.<br> The compiled CSS file will be lighter but don\'t forget to add TailwindCSS colors you want to use.', 'pilopress' ),
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'message'           => '',
                        'default_value'     => 1,
                        'ui'                => 1,
                        'ui_on_text'        => '',
                        'ui_off_text'       => '',
                    ),
                ),
            ),

            // Native colors
            array(
                'key'                => 'field_pip_native_colors_in_editor',
                'label'              => __( 'Native colors to add to editor', 'pilopress' ),
                'name'               => 'pip_native_colors_in_editor',
                'type'               => 'select',
                'instructions'       => '',
                'required'           => 0,
                'conditional_logic'  => array(
                    array(
                        array(
                            'field'    => 'field_override_colors',
                            'operator' => '!=',
                            'value'    => '1',
                        ),
                    ),
                ),
                'wrapper'            => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'   => '',
                'choices'            => array(),
                'default_value'      => array(),
                'allow_null'         => 1,
                'multiple'           => 1,
                'ui'                 => 1,
                'ajax'               => 1,
                'return_format'      => 'value',
                'allow_custom'       => 0,
                'placeholder'        => '',
                'search_placeholder' => '',
            ),

            // Simple colors
            array(
                'key'                           => 'field_pip_simple_colors',
                'label'                         => __( 'Simple colors', 'pilopress' ),
                'name'                          => 'pip_simple_colors',
                'type'                          => 'repeater',
                'instructions'                  => '',
                'required'                      => 0,
                'conditional_logic'             => 0,
                'wrapper'                       => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'              => '',
                'acfe_repeater_stylised_button' => 1,
                'collapsed'                     => '',
                'min'                           => 0,
                'max'                           => 0,
                'layout'                        => 'table',
                'button_label'                  => __( 'Add simple color', 'pilopress' ),
                'sub_fields'                    => array(
                    array(
                        'key'                        => 'field_pip_simple_colors_preview',
                        'label'                      => __( 'Live preview', 'pilopress' ),
                        'name'                       => '',
                        'type'                       => 'message',
                        'instructions'               => '',
                        'required'                   => 0,
                        'conditional_logic'          => 0,
                        'wrapper'                    => array(
                            'width' => '5',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_save_meta'             => 0,
                        'message'                    => '<div class="-preview pip-live-preview"><div style="margin: 0 auto;border:1px solid black;height:30px;width:30px;"></div></div>',
                        'new_lines'                  => 'wpautop',
                        'esc_html'                   => 0,
                        'acfe_field_group_condition' => 0,
                    ),
                    array(
                        'key'               => 'field_simple_color_label',
                        'label'             => __( 'Label', 'pilopress' ),
                        'name'              => 'label',
                        'type'              => 'text',
                        'instructions'      => __( 'Visible in editor dropdown', 'pilopress' ),
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '25',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                    array(
                        'key'               => 'field_simple_color_name',
                        'label'             => __( 'Name', 'pilopress' ),
                        'name'              => 'name',
                        'type'              => 'acfe_slug',
                        'instructions'      => __( 'Slug of the color', 'pilopress' ),
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '25',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                    array(
                        'key'               => 'field_simple_color_value',
                        'label'             => __( 'Value', 'pilopress' ),
                        'name'              => 'value',
                        'type'              => 'text',
                        'instructions'      => __( 'Hexadecimal or other', 'pilopress' ),
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '25',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => __( '#FF000 or currentColor ...', 'pilopress' ),
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                    array(
                        'key'               => 'field_simple_color_add_to_editor',
                        'label'             => __( 'Add to editor menu?', 'pilopress' ),
                        'name'              => 'add_to_editor',
                        'type'              => 'true_false',
                        'instructions'      => __( 'Needs TinyMCE Module', 'pilopress' ),
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '20',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'message'           => '',
                        'default_value'     => 1,
                        'ui'                => 1,
                        'ui_on_text'        => '',
                        'ui_off_text'       => '',
                    ),
                ),
            ),

            // Colors variants
            array(
                'key'                           => 'field_pip_colors_shades',
                'label'                         => __( 'Colors variants', 'pilopress' ),
                'name'                          => 'pip_colors_shades',
                'type'                          => 'repeater',
                'instructions'                  => '',
                'required'                      => 0,
                'conditional_logic'             => 0,
                'wrapper'                       => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'              => '',
                'acfe_repeater_stylised_button' => 1,
                'collapsed'                     => 'field_colors_shades_color_name',
                'min'                           => 0,
                'max'                           => 0,
                'layout'                        => 'table',
                'button_label'                  => __( 'Add color variant', 'pilopress' ),
                'sub_fields'                    => array(
                    array(
                        'key'               => 'field_colors_shades_color_name',
                        'label'             => __( 'Color name', 'pilopress' ),
                        'name'              => 'color_name',
                        'type'              => 'acfe_slug',
                        'instructions'      => __( '<code>gray</code> in <code>text-gray-500</code>', 'pilopress' ),
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '15',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                    array(
                        'key'                           => 'field_colors_shades_shades',
                        'label'                         => __( 'Variants', 'pilopress' ),
                        'name'                          => 'shades',
                        'type'                          => 'repeater',
                        'instructions'                  => '',
                        'required'                      => 0,
                        'conditional_logic'             => 0,
                        'wrapper'                       => array(
                            'width' => '85',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'              => '',
                        'acfe_repeater_stylised_button' => 0,
                        'collapsed'                     => '',
                        'min'                           => 0,
                        'max'                           => 0,
                        'layout'                        => 'table',
                        'button_label'                  => __( 'Add variant', 'pilopress' ),
                        'sub_fields'                    => array(
                            array(
                                'key'                        => 'field_colors_shades_shades_preview',
                                'label'                      => __( 'Live preview', 'pilopress' ),
                                'name'                       => '',
                                'type'                       => 'message',
                                'instructions'               => '',
                                'required'                   => 0,
                                'conditional_logic'          => 0,
                                'wrapper'                    => array(
                                    'width' => '5',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_save_meta'             => 0,
                                'message'                    => '<div class="-preview pip-live-preview"><div style="margin: 0 auto;border:1px solid black;height:30px;width:30px;"></div></div>',
                                'new_lines'                  => 'wpautop',
                                'esc_html'                   => 0,
                                'acfe_field_group_condition' => 0,
                            ),
                            array(
                                'key'               => 'field_shade_label',
                                'label'             => __( 'Label', 'pilopress' ),
                                'name'              => 'label',
                                'type'              => 'text',
                                'instructions'      => __( 'Visible in editor dropdown', 'pilopress' ),
                                'required'          => 0,
                                'conditional_logic' => 0,
                                'wrapper'           => array(
                                    'width' => '',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_permissions'  => '',
                                'default_value'     => '',
                                'placeholder'       => '',
                                'prepend'           => '',
                                'append'            => '',
                                'maxlength'         => '',
                            ),
                            array(
                                'key'               => 'field_shade_name',
                                'label'             => __( 'Variant name', 'pilopress' ),
                                'name'              => 'shade_name',
                                'type'              => 'text',
                                'instructions'      => __( '<code>500</code> in <code>text-gray-500</code>', 'pilopress' ),
                                'required'          => 0,
                                'conditional_logic' => 0,
                                'wrapper'           => array(
                                    'width' => '',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_permissions'  => '',
                                'default_value'     => '',
                                'placeholder'       => '',
                                'prepend'           => '',
                                'append'            => '',
                                'maxlength'         => '',
                            ),
                            array(
                                'key'               => 'field_shade_value',
                                'label'             => __( 'Value', 'pilopress' ),
                                'name'              => 'value',
                                'type'              => 'text',
                                'instructions'      => '',
                                'required'          => 0,
                                'conditional_logic' => 0,
                                'wrapper'           => array(
                                    'width' => '',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_permissions'  => '',
                                'default_value'     => '',
                                'placeholder'       => '',
                                'prepend'           => '',
                                'append'            => '',
                                'maxlength'         => '',
                            ),
                            array(
                                'key'               => 'field_shade_add_to_editor',
                                'label'             => __( 'Add to editor menu?', 'pilopress' ),
                                'name'              => 'add_to_editor',
                                'type'              => 'true_false',
                                'instructions'      => __( 'Needs TinyMCE Module', 'pilopress' ),
                                'required'          => 0,
                                'conditional_logic' => 0,
                                'wrapper'           => array(
                                    'width' => '',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_permissions'  => '',
                                'message'           => '',
                                'default_value'     => 1,
                                'ui'                => 1,
                                'ui_on_text'        => '',
                                'ui_off_text'       => '',
                            ),
                        ),
                    ),
                ),
            ),

            // Buttons Tab
            array(
                'key'               => 'field_tab_button',
                'label'             => __( 'Buttons', 'pilopress' ),
                'name'              => '',
                'type'              => 'tab',
                'instructions'      => '',
                'required'          => 0,
                'conditional_logic' => 0,
                'wrapper'           => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'  => '',
                'placement'         => 'top',
                'endpoint'          => 0,
            ),

            // Buttons message
            array(
                'key'                        => 'field_button_message',
                'label'                      => '',
                'name'                       => '',
                'type'                       => 'message',
                'instructions'               => '',
                'required'                   => 0,
                'conditional_logic'          => 0,
                'wrapper'                    => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_save_meta'             => 0,
                'message'                    => __( 'You can define your site\'s buttons in this tab, with <i>hover</i>, <i>focus</i> and <i>active</i> states.<br> Please see <a href="https://tailwindcss.com/docs" target="_blank">TailwindCSS documentation</a> for more details (if you have enabled this module).', 'pilopress' ),
                'new_lines'                  => 'wpautop',
                'esc_html'                   => 0,
                'acfe_field_group_condition' => 0,
            ),

            // Buttons
            array(
                'key'                           => 'field_pip_button',
                'label'                         => '',
                'name'                          => 'pip_button',
                'type'                          => 'repeater',
                'instructions'                  => '',
                'required'                      => 0,
                'conditional_logic'             => 0,
                'wrapper'                       => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'              => '',
                'acfe_repeater_stylised_button' => 1,
                'collapsed'                     => 'field_custom_button_label',
                'min'                           => 0,
                'max'                           => 0,
                'layout'                        => 'block',
                'button_label'                  => __( 'Add button style', 'pilopress' ),
                'sub_fields'                    => array(
                    array(
                        'key'                        => 'field_pip_button_preview',
                        'label'                      => __( 'Live preview', 'pilopress' ),
                        'name'                       => '',
                        'type'                       => 'message',
                        'instructions'               => '',
                        'required'                   => 0,
                        'conditional_logic'          => 0,
                        'wrapper'                    => array(
                            'width' => '10',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_save_meta'             => 0,
                        'message'                    => '<div class="-preview pip-live-preview"><button type="button">Button</button></div>',
                        'new_lines'                  => 'wpautop',
                        'esc_html'                   => 0,
                        'acfe_field_group_condition' => 0,
                    ),
                    array(
                        'key'               => 'field_custom_button_label',
                        'label'             => __( 'Label', 'pilopress' ),
                        'name'              => 'label',
                        'type'              => 'text',
                        'instructions'      => '',
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '20',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                    array(
                        'key'               => 'field_custom_button_class',
                        'label'             => __( 'Class name', 'pilopress' ),
                        'name'              => 'class_name',
                        'type'              => 'text',
                        'instructions'      => '',
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '15',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                    array(
                        'key'               => 'field_custom_button_classes',
                        'label'             => __( 'Class(es) to apply', 'pilopress' ),
                        'name'              => 'classes_to_apply',
                        'type'              => 'textarea',
                        'instructions'      => '',
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '40',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                        'rows'              => 4,
                    ),
                    array(
                        'key'               => 'field_custom_button_add_to_editor',
                        'label'             => __( 'Add to editor menu?', 'pilopress' ),
                        'name'              => 'add_to_editor',
                        'type'              => 'true_false',
                        'instructions'      => __( 'Needs TinyMCE Module', 'pilopress' ),
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '15',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'message'           => '',
                        'default_value'     => 1,
                        'ui'                => 1,
                        'ui_on_text'        => '',
                        'ui_off_text'       => '',
                    ),
                    array(
                        'key'                           => 'field_custom_button_states',
                        'label'                         => __( 'States', 'pilopress' ),
                        'name'                          => 'states',
                        'type'                          => 'repeater',
                        'instructions'                  => '',
                        'required'                      => 0,
                        'conditional_logic'             => 0,
                        'wrapper'                       => array(
                            'width' => '',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'              => '',
                        'acfe_repeater_stylised_button' => 0,
                        'collapsed'                     => '',
                        'min'                           => 0,
                        'max'                           => 0,
                        'layout'                        => 'table',
                        'button_label'                  => __( 'Add button state', 'pilopress' ),
                        'sub_fields'                    => array(
                            array(
                                'key'               => 'field_state_type',
                                'label'             => __( 'Type', 'pilopress' ),
                                'name'              => 'type',
                                'type'              => 'select',
                                'instructions'      => '',
                                'required'          => 0,
                                'conditional_logic' => 0,
                                'wrapper'           => array(
                                    'width' => '20',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_permissions'  => '',
                                'choices'           => array(
                                    'hover'    => 'hover',
                                    'active'   => 'active',
                                    'focus'    => 'focus',
                                    'disabled' => 'disabled',
                                ),
                                'default_value'     => false,
                                'allow_null'        => 0,
                                'multiple'          => 0,
                                'ui'                => 0,
                                'return_format'     => 'value',
                                'ajax'              => 0,
                                'placeholder'       => '',
                            ),
                            array(
                                'key'               => 'field_state_classes_to_apply',
                                'label'             => __( 'Class(es) to apply', 'pilopress' ),
                                'name'              => 'classes_to_apply',
                                'type'              => 'text',
                                'instructions'      => '',
                                'required'          => 0,
                                'conditional_logic' => 0,
                                'wrapper'           => array(
                                    'width' => '80',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_permissions'  => '',
                                'default_value'     => '',
                                'placeholder'       => '',
                                'prepend'           => '',
                                'append'            => '',
                                'maxlength'         => '',
                            ),
                        ),
                    ),
                ),
            ),

            // Breakpoints Tab
            array(
                'key'               => 'field_tab_screens',
                'label'             => __( 'Breakpoints', 'pilopress' ),
                'name'              => '',
                'type'              => 'tab',
                'instructions'      => '',
                'required'          => 0,
                'conditional_logic' => 0,
                'wrapper'           => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'  => '',
                'placement'         => 'top',
                'endpoint'          => 0,
            ),

            // Breakpoints message
            array(
                'key'                        => 'field_screens_message',
                'label'                      => '',
                'name'                       => '',
                'type'                       => 'message',
                'instructions'               => '',
                'required'                   => 0,
                'conditional_logic'          => 0,
                'wrapper'                    => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_save_meta'             => 0,
                'message'                    => __( 'You can define your site\'s breakpoints in this tab.<br> Please see <a href="https://tailwindcss.com/docs/breakpoints" target="_blank">TailwindCSS documentation</a> for more details (if you have enabled this module).', 'pilopress' ),
                'new_lines'                  => 'wpautop',
                'esc_html'                   => 0,
                'acfe_field_group_condition' => 0,
            ),

            // Breakpoints
            array(
                'key'                           => 'field_pip_screens',
                'label'                         => '',
                'name'                          => 'pip_screens',
                'type'                          => 'repeater',
                'instructions'                  => '',
                'required'                      => 0,
                'conditional_logic'             => 0,
                'wrapper'                       => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'              => '',
                'acfe_repeater_stylised_button' => 1,
                'collapsed'                     => '',
                'min'                           => 0,
                'max'                           => 0,
                'layout'                        => 'table',
                'button_label'                  => __( 'Add breakpoint', 'pilopress' ),
                'sub_fields'                    => array(
                    array(
                        'key'               => 'field_screen_name',
                        'label'             => __( 'Name', 'pilopress' ),
                        'name'              => 'name',
                        'type'              => 'acfe_slug',
                        'instructions'      => '',
                        'required'          => 1,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                    array(
                        'key'               => 'field_screen_value',
                        'label'             => __( 'Value', 'pilopress' ),
                        'name'              => 'value',
                        'type'              => 'text',
                        'instructions'      => '',
                        'required'          => 1,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'default_value'     => '',
                        'placeholder'       => '',
                        'prepend'           => '',
                        'append'            => '',
                        'maxlength'         => '',
                    ),
                ),
            ),

            // Container Tab
            array(
                'key'               => 'field_tab_container',
                'label'             => __( 'Container', 'pilopress' ),
                'name'              => '',
                'type'              => 'tab',
                'instructions'      => '',
                'required'          => 0,
                'conditional_logic' => 0,
                'wrapper'           => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'  => '',
                'placement'         => 'top',
                'endpoint'          => 0,
            ),

            // Container message
            array(
                'key'                        => 'field_container_message',
                'label'                      => '',
                'name'                       => '',
                'type'                       => 'message',
                'instructions'               => '',
                'required'                   => 0,
                'conditional_logic'          => 0,
                'wrapper'                    => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_save_meta'             => 0,
                'message'                    => __( 'You can customize your site\'s container in this tab.<br> Please see <a href="https://tailwindcss.com/docs/container" target="_blank">TailwindCSS documentation</a> for more details (if you have enabled this module).', 'pilopress' ),
                'new_lines'                  => 'wpautop',
                'esc_html'                   => 0,
                'acfe_field_group_condition' => 0,
            ),

            // Container
            array(
                'key'                 => 'field_pip_container',
                'label'               => '',
                'name'                => 'pip_container',
                'type'                => 'group',
                'instructions'        => '',
                'required'            => 0,
                'conditional_logic'   => 0,
                'wrapper'             => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'acfe_permissions'    => '',
                'layout'              => 'row',
                'acfe_seamless_style' => 1,
                'acfe_group_modal'    => 0,
                'sub_fields'          => array(
                    array(
                        'key'               => 'field_container_center',
                        'label'             => __( 'Center container', 'pilopress' ),
                        'name'              => 'center_container',
                        'type'              => 'true_false',
                        'instructions'      => '',
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'message'           => '',
                        'default_value'     => 0,
                        'ui'                => 1,
                        'ui_on_text'        => '',
                        'ui_off_text'       => '',
                    ),
                    array(
                        'key'               => 'field_container_add_padding_value',
                        'label'             => __( 'Add horizontal padding', 'pilopress' ),
                        'name'              => 'add_horizontal_padding',
                        'type'              => 'true_false',
                        'instructions'      => '',
                        'required'          => 0,
                        'conditional_logic' => 0,
                        'wrapper'           => array(
                            'width' => '',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'  => '',
                        'message'           => '',
                        'default_value'     => 0,
                        'ui'                => 1,
                        'ui_on_text'        => '',
                        'ui_off_text'       => '',
                    ),
                    array(
                        'key'                           => 'field_container_padding_values',
                        'label'                         => __( 'Horizontal padding values', 'pilopress' ),
                        'name'                          => 'padding_values',
                        'type'                          => 'repeater',
                        'instructions'                  => __( 'More details in <a href="https://tailwindcss.com/docs/container#horizontal-padding" target="_blank">TailwindCSS documentation</a>.', 'pilopress' ),
                        'required'                      => 0,
                        'conditional_logic'             => array(
                            array(
                                array(
                                    'field'    => 'field_container_add_padding_value',
                                    'operator' => '==',
                                    'value'    => '1',
                                ),
                            ),
                        ),
                        'wrapper'                       => array(
                            'width' => '',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_permissions'              => '',
                        'acfe_repeater_stylised_button' => 1,
                        'collapsed'                     => '',
                        'min'                           => 0,
                        'max'                           => 0,
                        'layout'                        => 'table',
                        'button_label'                  => __( 'Add padding value', 'pilopress' ),
                        'sub_fields'                    => array(
                            array(
                                'key'               => 'field_container_padding_breakpoint',
                                'label'             => __( 'Breakpoint', 'pilopress' ),
                                'name'              => 'breakpoint',
                                'type'              => 'text',
                                'instructions'      => '',
                                'required'          => 0,
                                'conditional_logic' => 0,
                                'wrapper'           => array(
                                    'width' => '',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_save_meta'    => 0,
                                'acfe_permissions'  => '',
                                'default_value'     => '',
                                'placeholder'       => '',
                                'prepend'           => '',
                                'append'            => '',
                                'maxlength'         => '',
                            ),
                            array(
                                'key'               => 'field_container_padding_value',
                                'label'             => __( 'Value', 'pilopress' ),
                                'name'              => 'value',
                                'type'              => 'text',
                                'instructions'      => '',
                                'required'          => 0,
                                'conditional_logic' => 0,
                                'wrapper'           => array(
                                    'width' => '',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_save_meta'    => 0,
                                'acfe_permissions'  => '',
                                'default_value'     => '',
                                'placeholder'       => '',
                                'prepend'           => '',
                                'append'            => '',
                                'maxlength'         => '',
                            ),
                        ),
                    ),

                ),
            ),

            // Spacing Tab
            array(
                'key'                        => 'field_tab_spacing',
                'label'                      => __( 'Spacings', 'pilopress' ),
                'name'                       => '',
                'type'                       => 'tab',
                'instructions'               => '',
                'required'                   => 0,
                'conditional_logic'          => 0,
                'wrapper'                    => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'placement'                  => 'top',
                'endpoint'                   => 0,
                'no_preference'              => 0,
                'acfe_field_group_condition' => 0,
            ),

            // Spacing message
            array(
                'key'                        => 'field_spacing_message',
                'label'                      => '',
                'name'                       => '',
                'type'                       => 'message',
                'instructions'               => '',
                'required'                   => 0,
                'conditional_logic'          => 0,
                'wrapper'                    => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'message'                    => __( 'You can customize your site\'s spacings in this tab.<br> Please see <a href="https://tailwindcss.com/docs/customizing-spacing" target="_blank">TailwindCSS documentation</a> for more details (if you have enabled this module).', 'pilopress' ),
                'new_lines'                  => 'wpautop',
                'esc_html'                   => 0,
                'acfe_field_group_condition' => 0,
            ),

            // Spacing
            array(
                'key'                        => 'field_pip_spacing',
                'label'                      => '',
                'name'                       => 'pip_spacing',
                'type'                       => 'group',
                'instructions'               => '',
                'required'                   => 0,
                'conditional_logic'          => 0,
                'wrapper'                    => array(
                    'width' => '',
                    'class' => '',
                    'id'    => '',
                ),
                'layout'                     => 'row',
                'acfe_seamless_style'        => 0,
                'acfe_group_modal'           => 0,
                'acfe_field_group_condition' => 0,
                'sub_fields'                 => array(
                    array(
                        'key'                        => 'field_override_spacings',
                        'label'                      => __( 'Override spacings', 'pilopress' ),
                        'name'                       => 'override_spacings',
                        'type'                       => 'true_false',
                        'instructions'               => '',
                        'required'                   => 0,
                        'conditional_logic'          => 0,
                        'wrapper'                    => array(
                            'width' => '',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_save_meta'             => 0,
                        'message'                    => '',
                        'default_value'              => 0,
                        'ui'                         => 1,
                        'ui_on_text'                 => '',
                        'ui_off_text'                => '',
                        'acfe_field_group_condition' => 0,
                    ),
                    array(
                        'key'                           => 'field_spacings',
                        'label'                         => __( 'Spacings', 'pilopress' ),
                        'name'                          => 'spacings',
                        'type'                          => 'repeater',
                        'instructions'                  => '',
                        'required'                      => 0,
                        'conditional_logic'             => 0,
                        'wrapper'                       => array(
                            'width' => '',
                            'class' => '',
                            'id'    => '',
                        ),
                        'acfe_save_meta'                => 0,
                        'acfe_repeater_stylised_button' => 1,
                        'collapsed'                     => 'field_spacings_key',
                        'min'                           => 0,
                        'max'                           => 0,
                        'layout'                        => 'table',
                        'button_label'                  => 'Add spacing',
                        'acfe_field_group_condition'    => 0,
                        'sub_fields'                    => array(
                            array(
                                'key'                        => 'field_spacings_key',
                                'label'                      => __( 'Key', 'pilopress' ),
                                'name'                       => 'key',
                                'type'                       => 'text',
                                'instructions'               => '',
                                'required'                   => 0,
                                'conditional_logic'          => 0,
                                'wrapper'                    => array(
                                    'width' => '',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_save_meta'             => 0,
                                'default_value'              => '',
                                'placeholder'                => '',
                                'prepend'                    => '',
                                'append'                     => '',
                                'maxlength'                  => '',
                                'acfe_field_group_condition' => 0,
                            ),
                            array(
                                'key'                        => 'field_spacings_value',
                                'label'                      => __( 'Value', 'pilopress' ),
                                'name'                       => 'value',
                                'type'                       => 'text',
                                'instructions'               => '',
                                'required'                   => 0,
                                'conditional_logic'          => 0,
                                'wrapper'                    => array(
                                    'width' => '',
                                    'class' => '',
                                    'id'    => '',
                                ),
                                'acfe_save_meta'             => 0,
                                'default_value'              => '',
                                'placeholder'                => '',
                                'prepend'                    => '',
                                'append'                     => '',
                                'maxlength'                  => '',
                                'acfe_field_group_condition' => 0,
                            ),
                        ),
                    ),
                ),
            ),

        ),
        'location'              => array(
            array(
                array(
                    'param'    => 'options_page',
                    'operator' => '==',
                    'value'    => 'pip_styles_configuration',
                ),
            ),
        ),
        'menu_order'            => 0,
        'position'              => 'normal',
        'style'                 => 'seamless',
        'label_placement'       => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen'        => '',
        'active'                => true,
        'description'           => '',
        'acfe_display_title'    => '',
        'acfe_autosync'         => '',
        'acfe_permissions'      => '',
        'acfe_form'             => 0,
        'acfe_meta'             => '',
        'acfe_note'             => '',
        'acfe_categories'       => array(
            'options' => __( 'Options', 'pilopress' ),
        ),
    )
);
